Subject: Re: Do milestones need to be reflected on a document's main page

From: Alexey Melnikov <[email-masked]>
Date: Tue, 01 Apr 2014 10:23:01 +0100

On 31/03/2014 16:01, Robert Sparks wrote:
> I haven't gotten any response to this.
I would possibly keep WGLC and Submitted to IESG milestones, if this is 
easy to implement. But I agree that in the example you gave 5 dates are 
not useful.
> Would anyone object if I removed those badges from the document page?
>
> RjS
>
> On 3/12/14, 12:22 PM, Robert Sparks wrote:
>> Please take a moment to look at the IETF State line at:
>> <http://datatracker.ietf.org/doc/draft-ietf-jose-json-web-key/>
>>
>> There are 5 dates (well, two really, but 5 instances) listed on that 
>> line.
>> It is not obvious what they are about until you mouse over them.
>> They reflect milestones this document has been associated with.
>>
>> I'm not sure how we ended up with this as the display motif for that 
>> information.
>> It isn't clear to me what it's trying to convey. The contents of the 
>> mouseover don't really help.
>>
>> I'm not trying to point to this particular document, but rather this 
>> particular feature of a document's
>> main page.
>>
>> What should it be trying to say? Are there documents where the 
>> current implementation works well
>> to convey information? What would make it better?
>>
>> RjS

---

From: Benoit Claise <[email-masked]>
Date: Tue, 01 Apr 2014 16:18:34 +0200

Hi Robert
> They reflect milestones this document has been associated with.
That's the first condition for this feature to be useful: The draft and 
milestones must be associated
This is not the case for many OPS WGs, even we saw in increase recently.
Therefore, we can really rely on that feature.

> What should it be trying to say? Are there documents where the current 
> implementation works well
A link, somewhere in the tracker, directly to the WG milestones , would 
be more useful to me.
The cherry on the cake would be if the draft in question would be 
highlighted on that page, in case the draft and milestones are associated.

Regards, Benoit